<?php
if(!defined('SETUPINC')) die('Kwaheri!');
$info=($_POST && $errors)?Format::htmlchars($_POST):array('prefix'=>'ost_','dbhost'=>'localhost','lang_id'=>'en_US');
?>
<div id="main" class="step2">
    <h1>Установка osTicket.Ru</h1>
            <p>Заполните следующую информацию для продолжения установки osTicket. Все поля обязательны для заполнения.</p>
            <font class="error"><strong><?php echo $errors['err']; ?></strong></font>
            <form action="install.php" method="post" id="install">
                <input type="hidden" name="s" value="install">
                <h4 class="head system">Системные параметры</h4>
                <span class="subhead">URL адрес, название, email адрес системы управления заявками</span>
                <div class="row">
                    <label>URL адрес:</label>
                    <span><strong><?php echo URL; ?></strong></span>
                </div>
                <div class="row">
                    <label>Название системы:</label>
                    <input type="text" name="name" size="45" tabindex="1" value="<?php echo $info['name']; ?>">
                    <a class="tip" href="#helpdesk_name"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['name']; ?></font>
                </div>
                <div class="row">
                    <label>Основной Email:</label>
                    <input type="text" name="email" size="45" tabindex="2" value="<?php echo $info['email']; ?>">
                    <a class="tip" href="#system_email"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['email']; ?></font>
                </div>
                <div class="row">
                    <label>Язык:</label>
<?php $langs = Internationalization::availableLanguages(); ?>
                <select name="lang_id">
<?php foreach($langs as $l) {
    $selected = ("ru_RU" == $l['code']) ? 'selected="selected"' : ''; ?>
                    <option value="<?php echo $l['code']; ?>" <?php echo $selected;
                        ?>><?php echo $l['desc']; ?></option>
<?php } ?>
                </select>
                <a class="tip" href="#default_lang"><i class="icon-question-sign help-tip"></i></a>
                <font class="error">&nbsp;<?php echo $errors['lang_id']; ?></font>
                </div>

                <h4 class="head admin">Администратор</h4>
                <span class="subhead">Ваш основной администраторский аккаунт</span>
                <div class="row">
                    <label>Имя:</label>
                    <input type="text" name="fname" size="45" tabindex="3" value="<?php echo $info['fname']; ?>">
                    <a class="tip" href="#first_name"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['fname']; ?></font>
                </div>
                <div class="row">
                    <label>Фамилия:</label>
                    <input type="text" name="lname" size="45" tabindex="4" value="<?php echo $info['lname']; ?>">
                    <a class="tip" href="#last_name"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['lname']; ?></font>
                </div>
                <div class="row">
                    <label>Email адрес:</label>
                    <input type="text" name="admin_email" size="45" tabindex="5" value="<?php echo $info['admin_email']; ?>">
                    <a class="tip" href="#email"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['admin_email']; ?></font>
                </div>
                <div class="row">
                    <label>Логин:</label>
                    <input type="text" name="username" size="45" tabindex="6" value="<?php echo $info['username']; ?>" autocomplete="off">
                    <a class="tip" href="#username"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['username']; ?></font>
                </div>
                <div class="row">
                    <label>Пароль:</label>
                    <input type="password" name="passwd" size="45" tabindex="7" value="<?php echo $info['passwd']; ?>" autocomplete="off">
                    <a class="tip" href="#password"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['passwd']; ?></font>
                </div>
                <div class="row">
                    <label>Повторите пароль:</label>
                    <input type="password" name="passwd2" size="45" tabindex="8" value="<?php echo $info['passwd2']; ?>">
                    <a class="tip" href="#password2"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['passwd2']; ?></font>
                </div>

                <h4 class="head database">Параметры базы данных</h4>
                <span class="subhead">Информация о подключении к базе данных <font class="error"><?php echo $errors['db']; ?></font></span>
                <div class="row">
                    <label>MySQL префикс:</label>
                    <input type="text" name="prefix" size="45" tabindex="9" value="<?php echo $info['prefix']; ?>">
                    <a class="tip" href="#db_prefix"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['prefix']; ?></font>
                </div>
                <div class="row">
                    <label>MySQL сервер:</label>
                    <input type="text" name="dbhost" size="45" tabindex="10" value="<?php echo $info['dbhost']; ?>">
                    <a class="tip" href="#db_host"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['dbhost']; ?></font>
                </div>
                <div class="row">
                    <label>MySQL база данных:</label>
                    <input type="text" name="dbname" size="45" tabindex="11" value="<?php echo $info['dbname']; ?>">
                    <a class="tip" href="#db_schema"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['dbname']; ?></font>
                </div>
                <div class="row">
                    <label>MySQL логин:</label>
                    <input type="text" name="dbuser" size="45" tabindex="12" value="<?php echo $info['dbuser']; ?>">
                    <a class="tip" href="#db_user"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['dbuser']; ?></font>
                </div>
                <div class="row">
                    <label>MySQL пароль:</label>
                    <input type="password" name="dbpass" size="45" tabindex="13" value="<?php echo $info['dbpass']; ?>">
                    <a class="tip" href="#db_password"><i class="icon-question-sign help-tip"></i></a>
                    <font class="error"><?php echo $errors['dbpass']; ?></font>
                </div>
                <br>
                <div id="bar">
                    <input class="btn" type="submit" value="Продолжить" tabindex="14">
                </div>
            </form>
    </div>
    <div id="overlay"></div>
    <div id="loading">
        <h4>Внимание!</h4>
        Пожалуйста подождите... производится установка системы управления заявками!
    </div>
